#include <bits/stdc++.h>
#include "guess.h"
using namespace std;
int find_number(int r)
{
  int l = 1, s, ret = r;
  r--;
  while(l <= r)
  {
    s = (l + r) >> 1;
    if(!smaller(s)) {l = s + 1; ret = s;}
    else r = s - 1;
  }
  return ret;
}
